pcl::_PointWithViewpoint Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointWithViewpoint:

## Public Attributes

| PCL_ADD_POINT4D
union {
struct {
float vp_x
float vp_y
float vp_z
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 1013 of file point_types.hpp.

## Member Data Documentation

union { ... }

float pcl::_PointWithViewpoint::data_c[4]

Definition at line 1024 of file point_types.hpp.

pcl::_PointWithViewpoint::PCL_ADD_POINT4D

Definition at line 1015 of file point_types.hpp.

float pcl::_PointWithViewpoint::vp_x

Definition at line 1020 of file point_types.hpp.

Referenced by pcl::PointWithViewpoint::PointWithViewpoint().

float pcl::_PointWithViewpoint::vp_y

Definition at line 1021 of file point_types.hpp.

Referenced by pcl::PointWithViewpoint::PointWithViewpoint().

float pcl::_PointWithViewpoint::vp_z

Definition at line 1022 of file point_types.hpp.

Referenced by pcl::PointWithViewpoint::PointWithViewpoint().

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/impl/point_types.hpp